Magick++: Magick::Pixels Class Reference

Magick++ 7.0.10

Public Member Functions | List of all members
Magick::Pixels Class Reference

`#include <Pixels.h>`

## Public Member Functions
| Pixels (Magick::Image &image_)
| ~Pixels (void)
Quantum * | get (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_)
const Quantum * | getConst (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_)
void * | metacontent (void)
ssize_t | offset (PixelChannel channel) const
Quantum * | set (const ::ssize_t x_, const ::ssize_t y_, const size_t columns_, const size_t rows_)
void | sync (void)
::ssize_t | x (void) const
::ssize_t | y (void) const
size_t | columns (void) const
size_t | rows (void) const

## Detailed Description

Definition at line 18 of file Pixels.h.

## Constructor & Destructor Documentation

## ◆ Pixels()

Magick::Pixels::Pixels | ( | Magick::Image & | image_ | ) |

Definition at line 19 of file Pixels.cpp.

References GetPPException, Magick::Image::image(), Magick::Image::quiet(), and ThrowPPException.

## ◆ ~Pixels()

Magick::Pixels::~Pixels | ( | void |  | ) |

Definition at line 31 of file Pixels.cpp.

## Member Function Documentation

## ◆ columns()

size_t Magick::Pixels::columns | ( | void |  | ) | const
| inline

Definition at line 141 of file Pixels.h.

## ◆ get()

Magick::Quantum * Magick::Pixels::get | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_
| ) |  |

Definition at line 37 of file Pixels.cpp.

References GetPPException, and ThrowPPException.

## ◆ getConst()

const Magick::Quantum * Magick::Pixels::getConst | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_
| ) |  |

Definition at line 53 of file Pixels.cpp.

References GetPPException, and ThrowPPException.

## ◆ metacontent()

void * Magick::Pixels::metacontent | ( | void |  | ) |

Definition at line 100 of file Pixels.cpp.

## ◆ offset()

ssize_t Magick::Pixels::offset | ( | PixelChannel | channel | ) | const

Definition at line 69 of file Pixels.cpp.

## ◆ rows()

size_t Magick::Pixels::rows | ( | void |  | ) | const
| inline

Definition at line 147 of file Pixels.h.

## ◆ set()

Magick::Quantum * Magick::Pixels::set | ( | const ::ssize_t | x_,
|  | const ::ssize_t | y_,
|  | const size_t | columns_,
|  | const size_t | rows_
| ) |  |

Definition at line 76 of file Pixels.cpp.

References GetPPException, and ThrowPPException.

## ◆ sync()

void Magick::Pixels::sync | ( | void |  | ) |

Definition at line 92 of file Pixels.cpp.

References GetPPException, and ThrowPPException.

## ◆ x()

ssize_t Magick::Pixels::x | ( | void |  | ) | const
| inline

Definition at line 129 of file Pixels.h.

## ◆ y()

ssize_t Magick::Pixels::y | ( | void |  | ) | const
| inline

Definition at line 135 of file Pixels.h.

The documentation for this class was generated from the following files:

- Pixels.h
- Pixels.cpp